Package org.apache.sysds.runtime.matrix.data

# Enum Class LibMatrixBincell.BinaryAccessType

java.lang.Object
java.lang.Enum<LibMatrixBincell.BinaryAccessType>
org.apache.sysds.runtime.matrix.data.LibMatrixBincell.BinaryAccessType

All Implemented Interfaces:
  `Serializable`, `Comparable<LibMatrixBincell.BinaryAccessType>`, `Constable`

Enclosing class:
  LibMatrixBincell

public static enum LibMatrixBincell.BinaryAccessType extends Enum<LibMatrixBincell.BinaryAccessType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COL_VECTOR_MATRIX`
`INVALID`
`MATRIX_COL_VECTOR`
`MATRIX_MATRIX`
`MATRIX_ROW_VECTOR`
`OUTER_VECTOR_VECTOR`
`ROW_VECTOR_MATRIX`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isMatrixVector()`
`static LibMatrixBincell.BinaryAccessType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LibMatrixBincell.BinaryAccessType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MATRIX_MATRIX

public static final LibMatrixBincell.BinaryAccessType MATRIX_MATRIX

### MATRIX_COL_VECTOR

public static final LibMatrixBincell.BinaryAccessType MATRIX_COL_VECTOR

### MATRIX_ROW_VECTOR

public static final LibMatrixBincell.BinaryAccessType MATRIX_ROW_VECTOR

### COL_VECTOR_MATRIX

public static final LibMatrixBincell.BinaryAccessType COL_VECTOR_MATRIX

### ROW_VECTOR_MATRIX

public static final LibMatrixBincell.BinaryAccessType ROW_VECTOR_MATRIX

### OUTER_VECTOR_VECTOR

public static final LibMatrixBincell.BinaryAccessType OUTER_VECTOR_VECTOR

### INVALID

public static final LibMatrixBincell.BinaryAccessType INVALID

## Method Details

### values

public static LibMatrixBincell.BinaryAccessType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LibMatrixBincell.BinaryAccessType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isMatrixVector

public boolean isMatrixVector()